%define name    undertaker
%define version 1.1
%define release %mkrel 1

Name:           %{name}
Summary:	Software configuration variability verifier
Version:        %{version}
Release:        %{release}
Source0:	http://vamos.informatik.uni-erlangen.de/files/%{name}-%{version}.tar.gz
URL:            http://vamos.informatik.uni-erlangen.de/trac/undertaker
Group:          Development/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv3
BuildRequires:	check-devel
BuildRequires:	boost-devel
BuildRequires:	picosat-devel

%description
Topic of the project is variability of system software evoked by the
non-functional properties of operating-system functions, which emerges from
(a) different implementations of the same system function to make an
appearance of certain non-functional properties and
(b) the using level of those implementations in order to compensate for
effects of these properties.

With this project, the undertaker, we provide tools to examine and evaluate
CPP based source files. See
http://www4.informatik.uni-erlangen.de/Research/VAMOS/publications.shtml for
a list of publications. 

%package -n	%{name}-emacs
Group:		Development/Other
Summary:	Emacs mode for undertaker, a variability verifier

%description -n	%{name}-emacs
Emacs mode for the Undertaker analyzing tool.

%prep
%setup -q

%build
#configure
%make CXX="g++ %optflags -DBOOST_FILESYSTEM_VERSION=2"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PREFIX=%{_prefix} LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-kconfigdump
%{_bindir}/%{name}-linux-tree
%{_libdir}/%{name}/dumpconf
%{_libdir}/%{name}/rsf2model
%{_libdir}/%{name}/%{name}-scan-head

%files -n	%{name}-emacs
%defattr(-,root,root,-)
%{_datadir}/emacs/site-lisp/%{name}/%{name}.el


%changelog
* Tue Mar 22 2011 Alexandre Lissy <alissy@mandriva.com> 1.1-1mdv2011.0
+ Revision: 647664
- Fixing race condition on source package: the 1.1 available while I built the package wasn't the good one ;)

* Tue Mar 22 2011 Alexandre Lissy <alissy@mandriva.com> 1.1-0
+ Revision: 647553
- Updating undertaker to latest 1.1
  Dropping local patches that have been included upstream

* Thu Mar 17 2011 Funda Wang <fwang@mandriva.org> 1.0-3
+ Revision: 646034
- force filesystem v2
- rebuild

* Wed Feb 23 2011 Alexandre Lissy <alissy@mandriva.com> 1.0-2
+ Revision: 639478
- Fixing Undertaker's search path for dumpconf and rsf2model

* Mon Feb 21 2011 Alexandre Lissy <alissy@mandriva.com> 1.0-1
+ Revision: 639214
- Patching sources to add support for LIBDIR variable
- initial import of Undertaker
- Created package structure for undertaker.

